# Customer/Credit Card

## Verify the Validity of the Password Setting Link

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.checkToken\
> Accessible to guests

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Credit Card"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.checkToken":{"post":{"summary":"Verify the Validity of the Password Setting Link","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.checkToken\nAccessible to guests","tags":["Customer/Credit Card"],"parameters":[{"name":"version","in":"header","description":"Version Number","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"Company ID, obtained through environment variables","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"Random Tracking Code UUID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"Login Token","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"Language","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"companyId":{"type":"integer","title":"Company ID","description":"Environment variable configuration","format":"long"},"checkToken":{"type":"string","title":"Verify the Token","description":"Token Information on the Email Link","nullable":true}},"required":["companyId"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data Body","properties":{"errorCode":{"type":"string","description":"Custom error codes, 0 for success, CUSTOMER_API_0000148=The current link has expired, CUSTOMER_API_0000149=The current link has been used"},"email":{"type":"string","description":"Email, masked"},"bool":{"type":"string","description":"Is Email Exist, yes for exist, no for non-exist"}},"required":["bool"]},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```

## Set password, verify phone number

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.checkPhone\
> Guest access

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Credit Card"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.checkPhone":{"post":{"summary":"Set password, verify phone number","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.checkPhone\nGuest access","tags":["Customer/Credit Card"],"parameters":[{"name":"version","in":"header","description":"Version Number","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"Company ID, obtained through environment variables","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"Random Tracking Code UUID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"Login Token","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"Language","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"checkToken":{"type":"string","title":"Verify the Token","description":"Token Information on the Email Link"},"phone":{"type":"string","title":"Phone Number"},"phoneArea":{"type":"string","title":"Phone area code"},"smsVerifyCode":{"type":"string","title":"Mobile Verification Code"},"smsSendToken":{"type":"string","title":"Send ticket"}},"required":["phone","phoneArea","smsVerifyCode","smsSendToken","checkToken"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data body, verify token information, next step information required","properties":{}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```

## Forgot password, verify phone number

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.checkPhoneForRetriedLoginPwd\
> Accessible for guests

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Credit Card"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.checkPhoneForRetriedLoginPwd":{"post":{"summary":"Forgot password, verify phone number","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.checkPhoneForRetriedLoginPwd\nAccessible for guests","tags":["Customer/Credit Card"],"parameters":[{"name":"version","in":"header","description":"Version Number","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"Company ID, obtained through environment variables","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"Random Tracking Code UUID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"Login Token","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"Language","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"phone":{"type":"string","title":"Phone Number"},"phoneArea":{"type":"string","title":"Phone area code"},"smsVerifyCode":{"type":"string","title":"Mobile Verification Code"},"smsSendToken":{"type":"string","title":"Send ticket"}},"required":["phone","phoneArea","smsVerifyCode","smsSendToken"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data body, verify token information, next step information required, valid for 7 days","properties":{}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```

## Retrieve password

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.retrieveLoginPwd\
> Accessible to guests

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Credit Card"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.retrieveLoginPwd":{"post":{"summary":"Retrieve password","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.retrieveLoginPwd\nAccessible to guests","tags":["Customer/Credit Card"],"parameters":[{"name":"version","in":"header","description":"Version Number","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"Company ID, obtained through environment variables","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"Random Tracking Code UUID","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"Language","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"newPwd":{"type":"string","title":"New password, MD5 encryption","minLength":6,"maxLength":50},"validToken":{"type":"string","title":"Verify the Token","description":"Generate token in the previous step"}},"required":["newPwd","validToken"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","description":"Data body, verify token information, next step information required","properties":{}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```

## Set password for the first time

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.firstSetLoginPwd\
> Guests can access, automatically log in after successful setting

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Credit Card"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.firstSetLoginPwd":{"post":{"summary":"Set password for the first time","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.firstSetLoginPwd\nGuests can access, automatically log in after successful setting","tags":["Customer/Credit Card"],"parameters":[{"name":"version","in":"header","description":"Version Number","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"Company ID, obtained through environment variables","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"Random Tracking Code UUID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"Login Token","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"Language","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"newPwd":{"type":"string","title":"New password, MD5 encryption","minLength":6,"maxLength":50},"device":{"type":"integer","title":"Login device","description":"Login Device: 1=Mobile Web: H5, 2=PC Web: PC_Web, 3=System & Backend Registration: System, 4=Android Native App: Android, 5=iOS Native App: iOS, 6=HarmonyOS: HOS, 7=PC Windows Client: PC_Win, 8=PC Mac Client: PC_Mac, 9=Others"},"validToken":{"type":"string","title":"Verify the Token","description":"Generate token in the previous step"}},"required":["newPwd","device"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Customer ID"},"companyId":{"type":"integer","format":"int64","description":"Company"},"customerGroupId":{"type":"integer","format":"int64","description":"Customer group"},"customerNo":{"type":"string","description":"Customer account"},"country":{"type":"string","description":"Country"},"thirdServerCode":{"type":"string","description":"Unique identifier from third-party system"},"source":{"type":"string","description":"Source, i.e.: login device"},"relationCustomerId":{"type":"integer","format":"int64","description":"Associated account id"},"companyType":{"type":"string","description":"Company type"},"associationCompanyId":{"type":"integer","format":"int64","description":"Associated company Id"},"token":{"type":"string","description":"Authentication token"}}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/more.../customer-credit-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
